{% extends 'base.html.twig' %}

{% block title %}Examen{% endblock %}

{% block body %}

    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Détail Examen </h3>

        </div>
        <div class="box-body">
            <table id="" class="table table-bordered table-striped">
                <tbody>
                <thead>
                <tr>
                    <th>Session</th>
                    <th>Niveau</th>
                    <th>Matiere</th>
                    <th>Nombre etudiant</th>
                    <th>Heure examen</th>
                    <th>Date examen</th>
                    <th>Definir Quota</th>


                </tr>
                </thead>
                <tbody>
                <tr>
                    <td>  {{ examan.session.libellesession }} {{ examan.session.semestre.libelleSemestreAr }}</td>

                    <td>{{ examan.niveau.libelleNiveauAr }}</td>

                    <td>{{ examan.matiere.libelleMatiereAr }}</td>

                    <td>{{ examan.nombreetudiant }}</td>

                    <td>{{ examan.heureexamen }}</td>

                    <td>{{ examan.dateexamen|date('d/m/Y') }}</td>

                    <td>
                        {% if(part_restant>0) %}
                            <a>
                                <button class="btn btn-primary btn_new_correction" part_restant="{{ part_restant }}"
                                        url="{{ path('correction_new', {'id': examan.id}) }}"><span
                                            class="glyphicon glyphicon-plus" title="Définir Quota correction "> </span>
                                </button>
                            </a>
                        {% endif %}
                    </td>

                </tr>
                </tbody>
            </table>
        </div>
    </div>

    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Quota enseignant Correcteur </h3>

        </div>
        <div class="box-body">
            <table id="" class="table table-bordered table-striped">
                <tbody>
                <thead>
                <tr>
                    <th>Part</th>
                    <th>Enseignant</th>
                    <th>Action</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                {% for correction in correction %}
                    <tr>

                        <td>{{ correction.part }}</td>
                        <td>{{ correction.enseignant.nomprenomar }}</td>
                        <td>
                            <a>
                                <button class="btn btn-success btn_edit_correction" part_restant="{{ part_restant }}"
                                        url="{{ path('correction_edit', {'id': correction.id}) }}"><span
                                            class="glyphicon glyphicon-pencil" title="Modifier"></span>
                                </button>
                            </a>
                        </td>
                        <td> {{ include('correction/_delete_form.html.twig') }}</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
    <div class="modal fade" id="modalCorrection" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header text-center">
                    <h4 class="modal-title w-100 font-weight-bold titre_modal_correction"></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="text-center">
                        <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                    </div>
                    <div class="content_modal_body">
                    </div>
                </div>
                <div class="modal-footer">

                </div>
            </div>
        </div>
    </div>



    <td>
        <a href="{{ path('examen_index',{'session':examan.session.id}) }}">
            <button class="btn btn-primary"><span
                        class="glyphicon glyphicon-arrow-left" title="Retour page précedente"></span></button>
        </a>
    </td>

{% endblock %}
{% block mesJavascripts %}

    <script>
        $('body').on('click', '.btn_new_correction', function (event) {
            var part_restant = $(this).attr('part_restant' +
                '');

            $('#modalCorrection').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.titre_modal_correction').html('Définir Quota de correction');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                    $('#correction_nbPartRest').val(part_restant);
                    $('#correction_part option').each(function () {
                        if ($(this).val() > part_restant) {
                            $(this).remove();
                        }
                    });
                    $('#correction_part').val(part_restant);
                }
            });
        });
        $('body').on('click', '.save_correction', function (event) {

            var form = $('#form_add_correction');
            var formData = new FormData(document.getElementById("form_add_correction"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_correction').attr('disabled', true);
                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalCorrection').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });
        $('body').on('click', '.btn_edit_correction', function (event) {
            var part_restant = $(this).attr('part_restant');
            $('#modalCorrection').modal('show');
            $('.content_modal_body').html('');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.load_modal_body').show();
            $('.titre_modal_correction').html('Modifier Quota Correction');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                    part_restant = parseFloat(part_restant) +  parseFloat($('#correction_part').val()) ;
                    $('#correction_part option').each(function () {
                        if ($(this).val() > part_restant) {
                            $(this).remove();
                        }
                    });
                    $('#correction_nbPartRest').val(part_restant);
                    $('#correction_oldPart').val($('#correction_part').val());
                }
            });
        });
        $('body').on('click', '.edit_correction', function (event) {

            var form = $('#form_add_correction');
            var formData = new FormData(document.getElementById("form_add_correction"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_correction').attr('disabled', true);

                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalcorrection').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });
        $('body').on('click', '.btn_del_correction', function (event) {
            var name_correction = $(this).attr('name_correction');
            var id_correction = $(this).attr('id_correction');
            $('#modalCorrection').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_correction').html('Supprimer Quota');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la Quota: <b>' + name_correction + '</b>');
            $('.modal-footer').html('<button type="button" class="btn btn-warning pull-right" data-dismiss="modal">Annuler</button><button type="button" class="btn btn-danger pull-right confirm_delete_correction" onclick="confirmer_delete_correction(' + id_correction + ')" data-dismiss="modal">Confirmer</button>');
            $.ajax({
                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalCorrection').modal('hide');
                        location.reload();
                    }
                }
            });
        });

        function confirmer_delete_correction(id_correction) {
            $('#form_delete_correction_' + id_correction).submit();

        }

    </script>
{% endblock %}